package com.kmall.common.utils.print.ticket.item;

import java.io.Serializable;

/**
 * 商品明细
 *
 * @author Scott Chen
 * @since 1.0
 * 2018-10-25
 */
public class Goods implements Serializable {

    private static final long serialVersionUID = -8645662031529882791L;

    // 商品名称
    private String gname;
    // 商品单价
    private String uprice;
    // 商品数量
    private String num;
    // 小计
    private String subtotal;

    public Goods(String gname, String uprice, String num, String subtotal) {
        this.gname = gname;
        this.uprice = uprice;
        this.num = num;
        this.subtotal = subtotal;
    }

    public String getGname() {
        return gname;
    }

    public void setGname(String gname) {
        this.gname = gname;
    }

    public String getUprice() {
        return uprice;
    }

    public void setUprice(String uprice) {
        this.uprice = uprice;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getSubtotal() {
        return subtotal;
    }

    public void setSubtotal(String subtotal) {
        this.subtotal = subtotal;
    }
}
